# ChangeLog for media-gfx/bootsplash
# Copyright 2002-2007 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/media-gfx/bootsplash/ChangeLog,v 1.64 2007/02/17 11:42:40 spock Exp $

  17 Feb 2007; Michał Januszewski <spock@gentoo.org>
  bootsplash-0.6.1-r7.ebuild:
  Remove invalid usage of $ROOT (bug #167285).

  23 Oct 2006; Michał Januszewski <spock@gentoo.org>
  +files/bootsplash-nostrip.patch, bootsplash-0.6.1-r7.ebuild:
  Let Portage decide whether to strip executables or not (bug #152345).

  23 Oct 2006; Michał Januszewski <spock@gentoo.org>
  -bootsplash-0.6-r16.ebuild, -bootsplash-0.6.1-r4.ebuild,
  -bootsplash-0.6.1-r6.ebuild:
  Remove old ebuilds.

  10 Dec 2005; Michał Januszewski <spock@gentoo.org>
  +files/bootsplash-gcc4-fix.patch, bootsplash-0.6.1-r7.ebuild:
  Added a patch to fix compilation problems with gcc4 (bug #114724).

  05 Jun 2005; Michael Hanselmann <hansmi@gentoo.org>
  bootsplash-0.6.1-r7.ebuild:
  Stable on ppc.

  02 May 2005; Michał Januszewski <spock@gentoo.org>
  bootsplash-0.6.1-r7.ebuild:
  Install bootanim (fix for bug #88564).

  07 Apr 2005; Simon Stelling <blubb@gentoo.org> bootsplash-0.6.1-r7.ebuild:
  stable on amd64

  12 Jan 2005; Michal Januszewski <spock@gentoo.org>
  bootsplash-0.6.1-r6.ebuild, bootsplash-0.6.1-r7.ebuild:
  Marked stable on x86.

  19 Oct 2004; Dylan Carlson <absinthe@gentoo.org>
  bootsplash-0.6.1-r4.ebuild:
  Stable on amd64.

*bootsplash-0.6.1-r7 (11 Oct 2004)

  11 Oct 2004; <dams@gentoo.org> +files/0.6.1-r7-default_theme.patch,
  bootsplash-0.6-r16.ebuild, +bootsplash-0.6.1-r7.ebuild:
  added patch to set the DEFAULT_THEME to default

  05 Sep 2004; Sven Wegener <swegener@gentoo.org> :
  Fixed ChangeLog header.

  04 Sep 2004; Michal Januszewski <spock@gentoo.org>
  -bootsplash-0.6.1-r5.ebuild:
  Removed old ebuild.

*bootsplash-0.6.1-r6 (22 Aug 2004)

  22 Aug 2004; Michal Januszewski <spock@gentoo.org>
  +bootsplash-0.6.1-r6.ebuild:
  Added a patch for 2.6.8.1. Closed bug #58544.

*bootsplash-0.6.1-r5 (06 Aug 2004)

  06 Aug 2004; Michal Januszewski <spock@gentoo.org>
  bootsplash-0.6-r16.ebuild, bootsplash-0.6.1-r4.ebuild,
  +bootsplash-0.6.1-r5.ebuild:
  Added splashpbm, updated the helper scripts to work with the new
  splash<->rc-scripts interface (too be introduced soon), fixed
  bootsplash_resize, added dependecies on lcms. Closes bugs #57466, #57050,
  #59298. Sorry, but no 2.6.8 patch this time.

  04 Aug 2004; Michal Januszewski <spock@gentoo.org>
  -bootsplash-0.6.1-r1.ebuild, -bootsplash-0.6.1-r2.ebuild,
  -bootsplash-0.6.1-r3.ebuild, -bootsplash-0.6.1.ebuild:
  Removed old ebuilds.

  20 Jul 2004; Michal Januszewski <spock@gentoo.org>
  bootsplash-0.6.1-r1.ebuild, bootsplash-0.6.1-r3.ebuild,
  bootsplash-0.6.1-r4.ebuild, bootsplash-0.6.1.ebuild:
  Stable on x86.

*bootsplash-0.6.1-r4 (03 Jul 2004)

  03 Jul 2004; Michal Januszewski <spock@gentoo.org>
  +bootsplash-0.6.1-r4.ebuild:
  Yet another release. This time I've hopefully fixed all non-x86 bugs. 24bpp &
  16bpp should work fine on PPCs now. I've added ~pcc to KEYWORDS, so please
  test it. This release incorporates fixes from bugs #55744 and #55877. Thanks
  to Ming Zhao and DiskBreaker for patches from these bugs.

*bootsplash-0.6.1-r3 (29 Jun 2004)

  29 Jun 2004; Michal Januszewski <spock@gentoo.org>
  +bootsplash-0.6.1-r3.ebuild:
  Fixed 24bpp mode problems, added support for 15bpp and DIRECTCOLOR modes.
  Radeonfb users should be happy now :)

*bootsplash-0.6.1-r2 (26 Jun 2004)

  26 Jun 2004; Michal Januszewski <spock@gentoo.org>
  +bootsplash-0.6.1-r2.ebuild:
  A release with experimental new features. I've added support for 32bpp modes
  (24bpp might work too, but I didn't have a chance to test it) and removed all
  references to vesafb. This means you should now be able to use bootsplash with
  other framebuffer drivers. I've tested it with rivafb and it worked fine. The
  only drawback is that the console becomes slower, as bootsplash can't take
  advantage of any accelerated routines (yet :)).

*bootsplash-0.6.1-r1 (22 Jun 2004)

  22 Jun 2004; Michal Januszewski <spock@gentoo.org>
  +bootsplash-0.6.1-r1.ebuild:
  Bugfix release. Fixes problem with Kconfig for x86_64 users. Features a new,
  more user-friendly bootsplash_initrdgen script.

  03 Jun 2004; Chris Gianelloni <wolf31o2@gentoo.org>
  bootsplash-0.6-r16.ebuild:
  Marking stable for 2004.2 LiveCD... blame me if it breaks... ;]

*bootsplash-0.6.1 (30 May 2004)

  30 May 2004; Michal Januszewski <spock@gentoo.org> +bootsplash-0.6.1.ebuild:
  This release features: 2.6.7 kernels support, fix for splash_renderc kernel
  oops, bootsplash data splitted into 3 files to avoid unnecessary downloads.

  20 May 2004; Chris Gianelloni <wolf31o2@gentoo.org>
  bootsplash-0.6-r16.ebuild:
  Moving SRC_URI.

*bootsplash-0.6-r16 (19 May 2004)

  19 May 2004; Chris Gianelloni <wolf31o2@gentoo.org>
  +bootsplash-0.6-r16.ebuild:
  Added -r16 which removes livecd themes due to new bootsplash-themes-livecd
  ebuilds.

  26 Apr 2004; Martin Holzer <mholzer@gentoo.org> bootsplash-0.6-r10.ebuild,
  bootsplash-0.6-r13.ebuild, bootsplash-0.6-r14.ebuild,
  bootsplash-0.6-r15.ebuild, bootsplash-0.6-r8.ebuild:
  added mirror://gentoo as primary

*bootsplash-0.6-r15 (25 Apr 2004)

  25 Apr 2004; Michal Januszewski <spock@gentoo.org>
  +bootsplash-0.6-r15.ebuild:
  New version. Updated the kernel patches (>=2.4.25, 2.6.6-rc2 - a fix for the
  config system), fixed a few minor bugs (including #47888). This will hopefully
  be the last release before 0.6.1.

  14 Apr 2004; Michal Januszewski <spock@gentoo.org>
  bootsplash-0.6-r10.ebuild, bootsplash-0.6-r11.ebuild,
  bootsplash-0.6-r12.ebuild, bootsplash-0.6-r13.ebuild,
  bootsplash-0.6-r14.ebuild, bootsplash-0.6-r3.ebuild,
  bootsplash-0.6-r8.ebuild, bootsplash-0.6-r9.ebuild:
  Removed ppc from all ebuilds, as bootsplash currently only works with
  vesafb, and vesafb does not work on PPCs.

  13 Apr 2004; Michal Januszewski <spock@gentoo.org>
  bootsplash-0.6-r13.ebuild, bootsplash-0.6-r14.ebuild:
  Moved to stable on x86.

  13 Apr 2004; Michal Januszewski <spock@gentoo.org>
  bootsplash-0.6-r10.ebuild, bootsplash-0.6-r11.ebuild,
  bootsplash-0.6-r12.ebuild, bootsplash-0.6-r13.ebuild,
  bootsplash-0.6-r14.ebuild, bootsplash-0.6-r9.ebuild:
  Added 'livecd' to IUSE.

*bootsplash-0.6-r14 (07 Apr 2004)

  07 Apr 2004; Michal Januszewski <spock@gentoo.org>
  bootsplash-0.6-r14.ebuild:
  Added the new 2004.1 bootsplash pics.

*bootsplash-0.6-r13 (04 Apr 2004)

  04 Apr 2004; Michal Januszewski <spock@gentoo.org>
  bootsplash-0.6-r13.ebuild:
  Here's a new version of bootsplash, it includes some new fixes and has all the
  features of -r11 and -r12. This bootsplash revision is no longer dependent on
  baselayout-1.8.6.13-r1.

  28 Mar 2004; Michal Januszewski <spock@gentoo.org>
  bootsplash-0.6-r10.ebuild, bootsplash-0.6-r11.ebuild,
  bootsplash-0.6-r12.ebuild:
  Marked -r11 as unstable due to a dependency on a basalayout version which is
  still in ~x86. Backported a little fix to -r10. This closes #45924.

  27 Mar 2004; Michal Januszewski <spock@gentoo.org>
  bootsplash-0.6-r10.ebuild, bootsplash-0.6-r11.ebuild,
  bootsplash-0.6-r12.ebuild, bootsplash-0.6-r3.ebuild,
  bootsplash-0.6-r8.ebuild, bootsplash-0.6-r9.ebuild:
  Ebuild clean-ups, added empty IUSE vars.

  20 Mar 2004; Michal Januszewski <spock@gentoo.org>
  bootsplash-0.6-r10.ebuild, bootsplash-0.6-r11.ebuild:
  Bump to stable.

*bootsplash-0.6-r12 (20 Mar 2004)

  20 Mar 2004; Michal Januszewski <spock@gentoo.org>
  bootsplash-0.6-r12.ebuild:
  Added support for 2.6.5 kernels (up to -rc2), fixed some minor issues with
  chvt.

  06 Mar 2004; Michal Januszewski <spock@gentoo.org>
  bootsplash-0.6-r11.ebuild, bootsplash-0.6-r9.ebuild:
  Bump to stable, removed unnecessary trailing spaces form the latest ebuild.

*bootsplash-0.6-r11 (06 Mar 2004)

  06 Mar 2004; Michal Januszewski <spock@gentoo.org>
  bootsplash-0.6-r11.ebuild:
  This revision introduces the bootsplash_resize script and closes bug #43346.

*bootsplash-0.6-r10 (02 Mar 2004)

  02 Mar 2004; Michal Januszewski <spock@gentoo.org>
  bootsplash-0.6-r10.ebuild:
  This revision includes a new version (3.1.4) of the Bootsplash patch, fixes a
  minor issue with the compilation of progress.c and closes bugs #43476, #42114
  and #42906.

  01 Mar 2004; Michal Januszewski <spock@gentoo.org> bootsplash-0.6-r8.ebuild:
  Bump to stable.

  23 Feb 2004; Seemant Kulleen <seemant@gentoo.org> bootsplash-0.6-r4.ebuild,
  bootsplash-0.6-r5.ebuild, bootsplash-0.6-r6.ebuild:
  removed intermediary dated versions

*bootsplash-0.6-r9 (23 Feb 2004)

  23 Feb 2004; Seemant Kulleen <seemant@gentoo.org> bootsplash-0.6-r9.ebuild:
  New bootsplash piccies for the 2004.0 livecd. Also, clean up of the syntax --
  except, for the eval line -- doesn't seem to have any purpose in this ebuild,
  but not sure. Spock or TaD need to weigh in on that.

*bootsplash-0.6-r8 (18 Feb 2004)

  18 Feb 2004; Michal Januszewski <spock@gentoo.org> bootsplash-0.6-r8.ebuild:
  Yes, they broke it, again! ;) The new 2.6.3_rc4 kernel introduces some new
  patches, which make the system freeze during boot-time when Bootsplash is
  used. This revision of the Bootsplash package fixes this issue.

  18 Feb 2004; Michal Januszewski <spock@gentoo.org> bootsplash-0.6-r5.ebuild,
  bootsplash-0.6-r6.ebuild, bootsplash-0.6-r7.ebuild:
  Marked stable on x86.

*bootsplash-0.6-r7 (16 Feb 2004)

  16 Feb 2004; Michal Januszewski <spock@gentoo.org> bootsplash-0.6-r7.ebuild:
  Fixed oopses with >=2.6.3 kernels.

*bootsplash-0.6-r6 (15 Feb 2004)

  15 Feb 2004; Michal Januszewski <spock@gentoo.org> bootsplash-0.6-r6.ebuild,
  metadata.xml:
  New revision, includes the patch for 2.6.3 kernels and has an updated patching
  system.

  15 Feb 2004; Michal Januszewski <spock@gentoo.org> bootsplash-0.6-r5.ebuild:
  Added a statically linked version of fbmngplay, closes #41476.

  06 Feb 2004; Michal Januszewski <spock@gentoo.org> bootsplash-0.6-r4.ebuild,
  bootsplash-0.6-r5.ebuild:
  Fixed a stupid Bash syntax error, closes #40583.

  01 Feb 2004; Brad House <brad_mssw@gentoo.org> bootsplash-0.6-r5.ebuild:
  stable on amd64

*bootsplash-0.6-r5 (26 Jan 2004)

  26 Jan 2004; Michal Januszewski <spock@gentoo.org>
  bootsplash-0.6-r5.ebuild:
  Added support for user-defined boot messages and user-specified font for
  silent bootplash, added an option to specify different configs for selected
  ttys (closes bug #27682), added the 'progress' program, added devfs support
  for all bootplash utils (closes bug #39411, thanks to ferret for the patch).

*bootsplash-0.6-r4 (17 Jan 2004)

  17 Jan 2004; Michal Januszewski <spock@gentoo.org>
  bootsplash-0.6-r4.ebuild, metadata.xml:
  Added support for 2.6 kernels, fixed a few minor issues with silent mode,
  added the BOOTSPLASH_TTYS variable.

  12 Jan 2004; Brad House <brad_mssw@gentoo.org> bootsplash-0.6-r2.ebuild:
  mark stable

*bootsplash-0.6-r3 (10 Jan 2004)

  10 Jan 2004; Troy Dack <tad@gentoo.org> bootsplash-0.6-r3.ebuild:
  Progress bar fixed, add 'splash=silent' to your kernel boot options. Closes
  Bugs #33589 #21019 #33589 #34233. Big thankyou to Tyler Trafford
  <ttrafford@acm.org> for the patches.

  04 Jan 2004; Brad House <brad_mssw@gentoo.org> bootsplash-0.6-r2.ebuild:
  mark stable on amd64

  24 Oct 2003; Brad House <brad_mssw@gentoo.org> bootsplash-0.6-r2.ebuild:
  add ~amd64 flag

*bootsplash-0.6-r2 (18 Aug 2003)

  18 Aug 2003; Troy Dack <tad@gentoo.org> bootsplash-0.6-r2.ebuild:
  Bump to -r2. Fixes Bugs #20497, #26245, #20964.

*bootsplash-0.6-r1
  23 Jun 2003; Troy Dack <tad@gentoo.org> :
  Fix rc script depend issues. Close Bug #21419

*bootsplash-0.5 (07 Apr 2003)

  21 Apr 2003; tad bootsplash-0.5.ebuild:
  Version bump. Fixes .cfg errors, and incorrect initrd files

  07 Apr 2003; Troy Dack <tad@gentoo.org> bootsplash-0.5.ebuild:
  New kernel patch, new splash images. Now with a "silent" image and 
  a graphical progress bar.

*bootsplash-0.4-r1 (20 Mar 2003)

  20 Mar 2003; Troy Dack <tad@gentoo.org> bootsplash-0.4-r1.ebuild,
  files/bootsplash:
  Version bump. rc scripts added, installs into ${PN} instead of ${P},
  config file symlinks now more appropriate.

*bootsplash-0.4-r0 (19 JAN 2003)

  19 JAN 2003; Troy Dack <tad@gentoo.org> bootsplash-0.4.ebuild:
  Version bump.  bootsplash-config removed, deprecated.  Console
  text colour can now be changed.

*bootsplash-0.3-r0 (17 JAN 2003)

  17 JAN 2003; Troy Dack <tad@gentoo.org> bootsplash-0.3.ebuild:
  Version bump.  800x600 images added.

*bootsplash-0.2-r0 (16 JAN 2003)

  16 JAN 2003; Troy Dack <tad@gentoo.org> bootsplash-0.2.ebuild:
  Initial import.

